--- old/usr/src/uts/sun4u/ml/trap_table.s	Thu Nov 14 19:00:48 2019
+++ new/usr/src/uts/sun4u/ml/trap_table.s	Thu Nov 14 19:00:48 2019
@@ -23,9 +23,7 @@
  * Use is subject to license terms.
  */
  
-#if !defined(lint)
 #include "assym.h"
-#endif /* !lint */
 #include <sys/asm_linkage.h>
 #include <sys/privregs.h>
 #include <sys/sun4asi.h>
@@ -117,9 +115,7 @@
  * NOT is used for traps that just shouldn't happen.
  * It comes in both single and quadruple flavors.
  */
-#if !defined(lint)
 	.global	trap
-#endif /* !lint */
 #define	NOT			\
 	TT_TRACE(trace_gen)	;\
 	set	trap, %g1	;\
@@ -149,9 +145,7 @@
  * TRAP vectors to the trap() function.
  * It's main use is for user errors.
  */
-#if !defined(lint)
 	.global	trap
-#endif /* !lint */
 #define	TRAP(arg)		\
 	TT_TRACE(trace_gen)	;\
 	set	trap, %g1	;\
@@ -280,8 +274,6 @@
 	clr %o4; clr %o5; clr %o6; clr %o7			;\
 	retry; .align 128
 
-#if !defined(lint)
-
 /*
  * If we get an unresolved tlb miss while in a window handler, the fault
  * handler will resume execution at the last instruction of the window
@@ -700,8 +692,6 @@
 	ba,a,pt	%xcc, fault_64bit_/**/tail			;\
 	.empty
 
-#endif /* !lint */
-
 /*
  * SPILL_mixed spills either size window, depending on
  * whether %sp is even or odd, to a 32-bit address space.
@@ -845,7 +835,6 @@
 	nop				;\
 	.align	32
 
-#if !defined(lint)
 /*
  * asynchronous traps at level 0 and level 1
  *
@@ -871,8 +860,6 @@
 table_name:				;\
 	BAD
 
-#endif /* !lint */
-
 /*
  * illegal instruction trap
  */
@@ -1319,13 +1306,6 @@
 #define TRACE_TSBHIT(ttextra)
 #endif
 
-#if defined(lint)
-
-struct scb	trap_table;
-struct scb	scb;		/* trap_table/scb are the same object */
-
-#else /* lint */
-
 /*
  * =======================================================================
  *		SPARC V9 TRAP TABLE
@@ -3065,4 +3045,3 @@
 	SYSCALL_NOTT(syscall_trap)
 	SET_SIZE(syscall_wrapper)
 
-#endif	/* lint */
